//
// C++ Interface: kmyfirewallinterface
//
// Description:
//
//
// Author: Christian Hubinger <chubinger@irrsinnig.org>, (C) 2003
//
// Copyright: See COPYING file that comes with this distribution
//
//
/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/


#ifndef KMYFIREWALLINTERFACE_H
#define KMYFIREWALLINTERFACE_H

/**
@author Christian Hubinger
*/

#include <tqobject.h>
#include <kdemacros.h>

class TQWidget;

namespace KMF {
class KMFProcOut;
class KMFDoc;
class KMFNetwork;
class KMFCompilerPlugin;


class KDE_EXPORT KMyFirewallInterface {
public:
	KMyFirewallInterface();
	virtual ~KMyFirewallInterface();
//	virtual KMFDoc* doc() = 0;
	virtual KMFNetwork* network() = 0;
	virtual void showEditor() = 0;
	virtual void showOutput() = 0;
	virtual void setOutputWidget( TQWidget* wid ) = 0;
	virtual void checkStatus() = 0;
	virtual void updateCaption() = 0;
	virtual	void enableUndo( bool ) = 0;
	virtual void enableRedo( bool ) = 0;

public:
	static KMyFirewallInterface* instance();

private:
	static KMyFirewallInterface* m_instance;
	

};
}
#endif
